package pack;

import java.util.Collection;

import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;


@Path("/")
public interface Facade {

    @GET
    @Path("/ajoutpersonne")
    public void ajoutPersonne(
        @QueryParam("nom") String nom, 
        @QueryParam("prenom") String prenom);

    @GET
    @Path("/ajoutadresse")
    public void ajoutAdresse(
        @QueryParam("rue") String rue, 
        @QueryParam("ville") String ville);

    @GET
    @Path("/listepersonnes")
    @Produces({ "application/json" })
	public Collection<Personne> listePersonnes();

    @GET
    @Path("/listeadresses")
    @Produces({ "application/json" })
	public Collection<Adresse> listeAdresses();

	@POST
    @Path("/associer")
    public void associer(
        @QueryParam("pid") Long personneId, 
        @QueryParam("aid") Long adresseId);
}
